stages:          # List of stages for jobs, and their order of execution
  - build
  - test
#  - deploy

build:
  stage: build
  image: node:alpine3.19
  script:
      - npm install
      - npx hardhat compile
  artifacts:
    paths:
      - artifacts/
      - cache/
      - contracts-exposed/
      - node_modules/
      - typechain-types/



test-coverage:
  stage: test
  image: node:alpine3.19
  script:
      - npx hardhat coverage
  artifacts:
    paths:
      - coverage.json
      - coverage/

test-unit-lint:
  stage: test
  image: node:alpine3.19
  script:
      - npx hardhat test
      - npx hardhat check


#deploy-job:      # This job runs in the deploy stage.
#  stage: deploy  # It only runs when *both* jobs in the test stage complete successfully.
#  environment: production
#  script:
#    - echo "Deploying application..."
#    - echo "Application successfully deployed."
